# The Carto Program (Revive)

This repository contains the source code Carto, using the [Godot game engine][godot].

[godot]: https://godotengine.org

## Developing

You would need the following programs installed in your machine to develop Carto:

- [Godot 4.3][godotdownload] with DotNet support.
- The [GodotEnv][godotenv] addon package manager from ChickenSoft.
- DotNet 8+ SDK.

[godotdownload]: https://godotengine.org/download/archive/4.3.0/
[godotenv]: https://github.com/chickensoft-games/GodotEnv

### Preparing the developing environment

After cloning the repository, install the addons with

```sh
godotenv addons install
```

### Building

Building Carto is trivial:

1. Build/export the project of the corresponding target with Godot's built-in export menu.
2. Copy the `gamedata` folder to the target directory, next to the executable.

## License

The codebase will probably be published under the [Mozilla Public License, version 2.0][mpl20]. Some assets may have a more permissive license.

Copyleft (ɔ) Quadratic Dream & other Carto contributors.

[mpl20]: https://www.mozilla.org/en-US/MPL/2.0/
